<!-- <h1>Hi {{currentUser.firstName}}!</h1> -->
<p>You're logged in with Angular 8!!</p>
<h3>All login audit :</h3>
<!-- <ul>
    <li *ngFor="let audit of audits">
        <br/><span class="badge badge-primary">{{audit.user}}</span>
        <br/><span class="badge badge-secondary">{{audit._id}}</span>
        <br/>Login - {{audit.loginTime}}
        <br/>Logout - {{audit.logoutTime}}
        <br/>IP - {{audit.ip}}
    </li>

</ul> -->



<div class="row mb-4 mt-5">
    <div class="col-md-5">
        <div class="filterSearch">
            <!-- <mat-form-field appearance="outline"> -->
            <input type="text" class="form-control" placeholder="Search here" (keyup)="applyFilter($event.target.value)">
            <!-- </mat-form-field> -->

            <!-- <span class="searchimg"> <img src="assets/img/search.png" alt=""> </span> -->
        </div>
    </div>


    <div class="col-md-5">
        <select (change)="onChange($event.target.value)" class="form-control">
            <option value="12">12 Hours Format</option>
            <option value="24">24 Hours Format</option>
        </select>
    </div>
</div>

<div class="row">
    <div class="col-md-12">
        <table mat-table [dataSource]="dataSource" style="    width: -webkit-fill-available;">

            <ng-container matColumnDef="ip">
                <th mat-header-cell *matHeaderCellDef class="tableHeader">IP</th>
                <td mat-cell *matCellDef="let element" class="tableCell_style"> {{element.ip }} </td>
            </ng-container>

            <ng-container matColumnDef="id">
                <th mat-header-cell *matHeaderCellDef class="tableHeader">ID</th>
                <td mat-cell *matCellDef="let element" class="tableCell_style"> {{element.id}}</td>
            </ng-container>

            <ng-container matColumnDef="user">
                <th mat-header-cell *matHeaderCellDef class="tableHeader">User </th>
                <td mat-cell *matCellDef="let element" class="tableCell_style"> {{element.user}} </td>
            </ng-container>

            <ng-container matColumnDef="loginTime" >
                <th mat-header-cell *matHeaderCellDef class="tableHeader">loginTime</th>
                <td mat-cell *matCellDef="let element" class="tableCell_style"> {{element.loginTime | date:dateppp }} </td>
            </ng-container>

            <ng-container matColumnDef="logoutTime">
                <th mat-header-cell *matHeaderCellDef class="tableHeader"> logoutTime </th>
                <td mat-cell *matCellDef="let element" class="tableCell_style"> {{element.logoutTime | date: dateppp}}</td>
            </ng-container>

            <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
            <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
        </table>

        <mat-paginator [pageSizeOptions]="[7, 10, 20]" showFirstLastButtons></mat-paginator>
    </div>
</div>